QHideEvent(3qt)

NAME
QHideEvent - The event sent after a widget is hidden

#include <qevent.h>

Inherits QEvent.

  Public Members
QHideEvent ( bool spontaneous )
bool spontaneous () const

DESCRIPTION
The event sent after a widget is hidden.

This event is sent just before QWidget::hide() returns, and also when a top-level window has been hidden (iconified) by the user.

See also QShowEvent.

MEMBER FUNCTION DOCUMENTATION

QHideEvent::QHideEvent ( bool spontaneous )
Constructs a QHideEvent. spontaneous is TRUE if the event originated outside the application - ie. the user hid the window via the window manager controls.

bool QHideEvent::spontaneous () const
Returns TRUE if the event originated outside the application - ie. the user hid the window via the window manager controls, either by iconifying the window or by switching to another virtual desktop where the window isn't visible. The window will become hidden, but not withdrawn. If the window was iconified, QWidget::isMinimized() is TRUE.

SEE ALSO
http://doc.trolltech.com/qhideevent.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2001 Trolltech AS, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports make our job much simpler. Thank you.

In case of content or formattting problems with this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (qhideevent.3qt) and the Qt version (2.3.1).